view scripts/config-headers.sh @ 6:c01d2500a998

beginning of build system: crafting config headers into place
author Mychaela Falconia <falcon@freecalypso.org>
date Mon, 26 Sep 2016 02:09:35 +0000
parents
children 86e83045be37
line wrap: on
line source

#!/bin/sh

if [ $# != 1 ]
then
	echo "usage: $0 config-flavor" 1>&2
	exit 1
fi

if [ -z "$TARGET" ]
then
	echo "Error: TARGET= must be passed via environment" 1>&2
	exit 1
fi

if [ -z "$BUILD_DIR" ]
then
	echo "Error: BUILD_DIR= must be passed via environment" 1>&2
	exit 1
fi

set -e

cp -r cfg-headers/$1 $BUILD_DIR/config
cp targets/$TARGET.h $BUILD_DIR/config/fc-target.cfg